<?php if ($lang == 'fr') {
	
	$error_title = 'Veuillez entrer un titre';
	$error_strlen = 'Au moins 5 caractères';
	$error_message = 'Veuillez entrer un message';
	$contact_responsable = 'CONTACTER LE RESPONSABLE DU SERVEUR';
	$message_sent = 'Le message a bien été envoyé au responsable de ce serveur';
	$titre_message = 'Titre';
	$contenu_message = 'Contenu du message';
	$priority_message = 'Priorité';
	$haute = 'Haute';
	$normale = 'Normale';
	$basse = 'Basse';
	$sent = 'Envoyer';
	$back_home = 'Revenir à l\'accueil';
	
} else if ($lang == 'en') {
	
	$error_title = 'Please enter a title';
	$error_strlen = 'At least 5 characters';
	$error_message = 'Please enter a message';
	$contact_responsable = 'CONTACT THE MANAGER SERVER';
	$message_sent = 'The message has been sent to the manager of this server';
	$titre_message = 'Title';
	$contenu_message = 'Message content';
	$priority_message = 'Priority';
	$haute = 'Hight';
	$normale = 'Normal';
	$basse = 'Low';
	$sent = 'Send';
	$back_home = 'Back to home';
	
} else if ($lang == 'de') {
	
	$error_title = 'Bitte geben Sie einen Titel';
	$error_strlen = 'Au moins 5 caractères';
	$error_message = 'Mindestens 5 Zeichen';
	$contact_responsable = 'KONTAKT DIE Manager Server';
	$message_sent = 'Die Nachricht wurde an der Spitze dieser Server gesendet wurde';
	$titre_message = 'Titel';
	$contenu_message = 'Inhalt der Nachricht';
	$priority_message = 'Priorität';
	$haute = 'Hoch';
	$normale = 'Normal';
	$basse = 'Niedrig';
	$sent = 'Senden';
	$back_home = 'Wieder zu Hause';
	
} else if ($lang == 'ru') {
	
	$error_title = 'Пожалуйста, введите заголовок';
	$error_strlen = 'По крайней мере 5 символов';
	$error_message = 'Пожалуйста, введите сообщение';
	$contact_responsable = 'КОНТАКТ диспетчера сервера';
	$message_sent = 'Сообщение было отправлено на голову этого сервера';
	$titre_message = 'название';
	$contenu_message = 'Содержание сообщения';
	$priority_message = 'приоритет';
	$haute = 'высокий';
	$normale = 'нормальный';
	$basse = 'низкий';
	$sent = 'послать';
	$back_home = 'Вернуться домой';
	
} else if ($lang == 'it') {
	
	$error_title = 'Si prega di inserire un titolo';
	$error_strlen = 'Almeno 5 caratteri';
	$error_message = 'Si prega di inserire un messaggio';
	$contact_responsable = 'CONTATTARE IL SERVER MANAGER';
	$message_sent = 'Il messaggio è stato inviato al capo di questo server';
	$titre_message = 'Titolo';
	$contenu_message = 'Messaggio contenuto';
	$priority_message = 'Priorità';
	$haute = 'Alto';
	$normale = 'Normale';
	$basse = 'Basso';
	$sent = 'Inviare';
	$back_home = 'Tornato a casa';
	
} else {
	
	$error_title = 'Please enter a title';
	$error_strlen = 'At least 5 characters';
	$error_message = 'Please enter a message';
	$contact_responsable = 'CONTACT THE MANAGER SERVER';
	$message_sent = 'The message has been sent to the manager of this server';
	$titre_message = 'Title';
	$contenu_message = 'Message content';
	$priority_message = 'Priority';
	$haute = 'Hight';
	$normale = 'Normal';
	$basse = 'Low';
	$sent = 'Send';
	$back_home = 'Back to home';
	
}
	
if (!empty($_POST) && $send == 'send') {
	
	extract($_POST);
	
	$titre = $ticket_TITLE;
	$contenu = $ticket_CONTENU;
	$priority = $ticket_PRIORITY;
	$alert = $ticket_ALERT;
	
	$titre = strip_tags($titre);
	$contenu = strip_tags($contenu);
	$priority = strip_tags($priority);
	$alert = strip_tags($alert);
	
	$valid = true;
	
	if (empty($titre)) {
		
		$erreur_titre = $error_title;
		
		$valid = false;
		
	} else if (strlen($titre) < 5) {
		
		$erreur_titre = $error_strlen;
		
		$valid = false;
		
	} else {
		
		$erreur_titre = '';
		
	}
	
	if (empty($contenu)) {
		
		$erreur_contenu = $error_message;
		
		$valid = false;
		
	} else if (strlen($contenu) < 5) {
		
		$erreur_contenu = $error_strlen;
		
		$valid = false;
		
	} else {
		
		$erreur_contenu = '';
		
	}
	
	if ($valid == true) {

	$ip_server = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip');
    $ip_server->execute(array('ip'=>$ip));
    $ip_server = $ip_server->fetch();
	
	$to = $ip_server['email'];
	
	$website_domain = $_SERVER['SERVER_NAME'];
		
	if (substr($website_domain , 0 , 4) == 'www.') {
			
		$website_domain = substr($website_domain , 4 , strlen($website_domain));
			
	}
	
    $subject = 'Cash2Admin - A player has contacted you | Un joueur vous a contacté';
    $message = 'Hello ,<br /><br />
	Thanks for using Cash2Admin,<br /><br />
	
	A player of the server ' . $ip  . ' has contacted you, here is his message and its personal informations : <br /><br />
	
	Steam ID : ' . $id . '<br />
	Name : ' . $name  . '<br /><br />
	
	Message priority : ' . $priority . '<br /><br />
	
	Message title : ' . $titre . '<br /><br />
	
	Message : ' . $contenu . '<br /><br />
	
	Cordially,<br />
	The SkyZen Team (Cash2Admin).<br /><br />
	
	PS : This is an automated message, thank you for not answering.<br /><br />
	
	----------------------------------------------------------------------------------------------------------------------<br /><br />
	
	Bonjour ,<br /><br />
	Merci d\'utiliser Cash2Admin,<br /><br />
	
	Un joueur du serveur ' . $ip  . ' vous a contacté, voici son message et ses informations : <br /><br />
	
	Steam ID : ' . $id . '<br />
	Nom : ' . $name  . '<br /><br />
	
	Priorité du message : ' . $priority . '<br /><br />
	
	Titre du message : ' . $titre . '<br /><br />
	
	Message : ' . $contenu . '<br /><br />
	
	Cordialement,<br />
	La Team SkyZen (Cash2Admin).<br /><br />
	
	PS : Ceci est un message automatique, merci de ne pas y répondre.<br />';

    $headers = 'From:noreply@' . $website_domain . "\r\n";
    $headers.='MIME-version: 1.0'."\r\n";
    $headers.='Content-type: text/html; charset=utf-8'."\r\n";
    mail($to,$subject,$message,$headers);
	
    $sended = 'ok';
	
	}
	
}	

?>

<div class="formulaire_background">
<div class="client_INFORMATIONS"><?php echo $contact_responsable; ?></div>

<center>

<?php 

foreach ($_GET as $var => $value) { 
		
	if (empty($GET)) {
				
		$GET = '?' . $var . '=' . strip_tags(htmlentities($value));
				
	} else {
				
		if ($var == 'send') {
					
			$GET = $GET . '&' . $var . '=send';
					
		} else {
					
			$GET = $GET . '&' . $var . '=' . strip_tags(htmlentities($value));
					
		}
				
	}

} 
		
$link = 'buy.php' . $GET . '&send=send' ;

if ($sended == 'ok') {
	
	echo '<br /><strong><font color=green>' . $message_sent . ' <img src="config/images/valid.png" style="margin-bottom:-3px;"></font></strong><br /><br />';
	
} else { ?>

<form method="post" action="<?php echo $link; ?>" id="create_ticket">
      
         <label for"ticket_TITLE" style="display: block;"><?php echo $titre_message; ?> <span id="error_title" style="color:red;font-size:12px;"><?php if (isset($erreur_titre)) { echo $erreur_titre; } ?></span></label>
         <input type="text" name="ticket_TITLE" id="ticket_TITLE" style="float:none;display:block;" value="<?php if (isset($titre)) { echo $titre; } ?>">
         
         <label for="ticket_CONTENU" style="margin-top:10px;float:none;width:500px;"><?php echo $contenu_message; ?> <span id="error_contenu" style="color:red;font-size:12px;width:100px;"><?php if (isset($erreur_contenu)) { echo $erreur_contenu; } ?></span></label>
         <textarea value="ticket_CONTENU" id="ticket_CONTENU" name="ticket_CONTENU"><?php if (isset($contenu)) { echo $contenu; } ?></textarea>
         
         <div class="form_ITEM" style="margin-top:10px;">
         <label for"ticket_PRIORITY" id="input" style="width:70px;"><?php echo $priority_message; ?></label>
         <select name="ticket_PRIORITY" id ="ticket_PRIORITY" style="float:none;width:100px;">
              <option value="Basse"><?php echo $basse; ?></option>
              <option value="Normale" selected="selected"><?php echo $normale; ?></option>
              <option value="Haute"><?php echo $haute; ?></option>
         </select>
         </div>
         
         <center><input class="login_button" type="submit" name="signup_button" id="signup_button" value="<?php echo $sent; ?>" style="margin-top:20px;margin-bottom:15px;" /></center>
         
</form>

<?php } ?>

<a href="buy.php?ip=<?php echo $ip . '&name=' . $name . '&lang=' . $lang . '&id=' . $id . '&session=' . $session; ?>" style="margin-top:10px;"><?php echo $back_home; ?></a>

</center>

</div>